// Dump all vectors

#include <stdlib.h>
#include <assert_ops/libc.h>

#include "hash_vector.h"

int main(void) {
	unsigned char in[IN_BYTES];
	unsigned char out[OUT_BYTES];

	size_t END = (size_t) 1 << IN_BITS;
	size_t size = 0;
	for (; size < END; size++) {
		unsigned i = 0;
		for (; i < IN_BYTES; i++)
			in[i] = size >> 8 * i;
		hash_vector(out, in);
		for (i = 0; i < OUT_BYTES; i++)
			assert_printf("%02x", out[i]);
		assert_putchar('\n');
	}

	return EXIT_SUCCESS;
}
