// Compilation requirements

#ifndef XORIGUER_REQUIRE_H
#define XORIGUER_REQUIRE_H

#include <bestiola/assert.h>

#define REQUIRE_FEEDBACK \
	if (IN_BITS != OUT_BITS) \
		bad_assertion()

#define REQUIRE_MIX_PREVIOUS \
	if (BITS % 8 || IN_BITS != OUT_BITS || BYTES < 2) \
		bad_assertion()

#define REQUIRE_READ_BYTES \
	if (IN_BITS % 8) \
		bad_assertion()

#define REQUIRE_SIZE_FITS_IN_BLOCK \
	if (IN_BYTES < sizeof(size_t)) \
		bad_assertion()

#endif
